1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

i need gta lcs?

Discussion in 'Sony PSP - Mod and firmware discussion' started by ironman99, Jan 29, 2007.

  1. ironman99

    ironman99 Member

    Joined:
    Jan 29, 2007
    Messages:
    19
    Likes Received:
    0
    Trophy Points:
    11
    im i unable to downgrade my 3.03 psp since i dont have gta lcs? or is there some other way?
     
  2. tehjoker

    tehjoker Regular member

    Joined:
    Sep 15, 2006
    Messages:
    1,037
    Likes Received:
    0
    Trophy Points:
    46
    your kidding right? i take it you didnt read the whole article, it clearly states that it needs an unpatched lcs umd.
     

Share This Page